1. Marcin Kuzminski
  2. RhodeCode

Issues

Issue #269 duplicate

unable to install on ubuntu oneiric / python 2.7

Anonymous created an issue

Here is a traceback I've got when running either setup.py, or pip or easy_install. I would like to provide any addtional info if needed.

reddot@dserve:~/RhodeCode-1.2.1$ sudo python ./setup.py install Traceback (most recent call last): File "./setup.py", line 2, in <module> from rhodecode import get_version File "/home/reddot/RhodeCode-1.2.1/rhodecode/init.py", line 38, in <module> from rhodecode.lib.utils import get_current_revision File "/home/reddot/RhodeCode-1.2.1/rhodecode/lib/utils.py", line 48, in <module> from rhodecode.model.db import Repository, User, RhodeCodeUi, UserLog, Group, \ File "/home/reddot/RhodeCode-1.2.1/rhodecode/model/db.py", line 138, in <module> class RhodeCodeSettings(Base, BaseModel): File "/usr/lib/python2.7/dist-packages/sqlalchemy/ext/declarative.py", line 1167, in init _as_declarative(cls, classname, cls.dict) File "/usr/lib/python2.7/dist-packages/sqlalchemy/ext/declarative.py", line 1065, in _as_declarative table_kw) File "/usr/lib/python2.7/dist-packages/sqlalchemy/schema.py", line 210, in __new__ table._init(name, metadata, *args, kw) File "/usr/lib/python2.7/dist-packages/sqlalchemy/schema.py", line 256, in _init self._extra_kwargs(**kwargs) File "/usr/lib/python2.7/dist-packages/sqlalchemy/schema.py", line 312, in _extra_kwargs "Invalid argument(s) for Table: %r" % kwargs.keys()) TypeError: Invalid argument(s) for Table: ['extend_existing']

Comments (1)

  1. Log in to comment